#include <CapacitiveSensor.h>

/*
   CapitiveSense Library Demo Sketch
   Paul Badger 2008
   Uses a high value resistor e.g. 10M between send pin and receive pin
   Resistor effects sensitivity, experiment with values, 50K - 50M. Larger resistor values yield larger sensor values.
   Receive pin is the sensor pin - try different amounts of foil/metal on this pin
*/

#define SPEAKER_Pin 11             // Pin für Lautsprecher

float frequency;                  // put out frequency
float volume;                     // put out volume
float distance_pitch;             // distance for pitch-control
float distance_volume;            // distance for volume-control

CapacitiveSensor   cs_4_2 = CapacitiveSensor(2, 3);       // 10M resistor between pins 4 & 2, pin 2 is sensor pin, add a wire and or foil if desired
CapacitiveSensor   cs_4_5 = CapacitiveSensor(4, 5);       // 10M resistor between pins 4 & 2, pin 2 is sensor pin, add a wire and or foil if desired


void setup()
{
  cs_4_2.set_CS_AutocaL_Millis(0xFFFFFFFF);     // turn off autocalibrate on channel 1 - just as an example
  Serial.begin(9600);
  pinMode(SPEAKER_Pin, OUTPUT);

}

void loop()
{
  long start = millis();
  long total1 =  cs_4_2.capacitiveSensor(500);
 // long total2 =  cs_4_5.capacitiveSensor(200);


  Serial.print(millis() - start);        // check on performance in milliseconds
  Serial.print("\t");                    // tab character for debug windown spacing

  Serial.print(total1);                  // print sensor output 1
  Serial.println("\t");                    // tab character for debug windown spacing

//  Serial.print(total2);                  // print sensor output 1
//  Serial.println("\t");

  delay(10);                             // arbitrary delay to limit data to serial port

  int mapping = map(total1, 20000, 9000, 0, 200);

    


      tone(SPEAKER_Pin, mapping);   // sending the pitch to the speaker-pin
     // tone(SPEAKER_Pin,mapping2);   // sending the pitch to the speaker-pin


}
